---
.title = "Blogsite 2",
.author = "Martin Ashby",
.date = @date("2022-10-15T22:39:18+01:00"),
.layout = "single.html",
.custom = {"comments": true},
---

I made another [small experiment](https://blogsite2.mfashby.net/) [source](https://code.mfashby.net/martin/blogsite2) to do my blog yet another way; rather than using hugo static site generation, I can leverage Caddy server's built-in [template rendering](https://caddyserver.com/docs/caddyfile/directives/templates) and markdown support to serve markdown files 'directly' without a pre-build step.

In the end though, I will probably stick with static site generation. It offers some performance and security improvements such as no templating time, no possibility of vulnerabilities in the templating engine, in return for a little extra complexity having a build-step.
