---
.title = "Contacts",
.author = "Martin Ashby",
.date = @date("2021-12-04T15:05:47Z"),
.layout = "single.html",
.custom = {"comments": true},
---

I'm now using [radicale](https://radicale.org/) for calendar and contacts. This was very easy to install and configure in manjaro linux. I'm using this in conjunction with [radicale-imap](https://github.com/r3c/radicale-imap) plugin for authentication. Eventually I might look at an SSO solution for the variety of services I have installed on my server.

Google supports exporting contacts in vcard format, and calendar events in ics format, both of which can be imported in a capable calendar or contacts app in android. 

Radicale depends on python, which is OK but possibly more susceptible to python environment changes than I would prefer. I had looked at [fennel](https://github.com/swordlordcodingcrew/fennel/) server which is implemented in golang, but as yet this isn't compatible with Dav5X on Android due to incomplete implementation.

